std::atomic_flag(3)

NAME
std::atomic_flag - atomic_flag

SYNOPSIS

#include <atomic>

Inherits __atomic_flag_base.

  Public Member Functions
constexpr atomic_flag (bool __i) noexcept
atomic_flag (const atomic_flag &)=delete
void clear (memory_order __m=memory_order_seq_cst) noexcept
void clear (memory_order __m=memory_order_seq_cst) volatile noexcept
void notify_all () noexcept
void notify_one () noexcept
atomic_flag & operator= (const atomic_flag &) volatile =delete
atomic_flag & operator= (const atomic_flag &)=delete
bool test (memory_order __m=memory_order_seq_cst) const noexcept
bool test (memory_order __m=memory_order_seq_cst) const volatile noexcept
bool test_and_set (memory_order __m=memory_order_seq_cst) noexcept
bool test_and_set (memory_order __m=memory_order_seq_cst) volatile noexcept
void wait (bool __old, memory_order __m=memory_order_seq_cst) const noexcept

Detailed Description

atomic_flag

Author

Generated automatically by Doxygen for libstdc++ from the source code.